import cherrypy

from .root import Root
from .disco import Disco
from .token import Token
from .wayf import Wayf
from .accept_invite import AcceptInvite


def main():

    cherrypy.config.update("server.conf")

    cherrypy.tree.mount(Disco(), '/.well-known/ocm')
    cherrypy.tree.mount(Disco(), '/ocm-provider')
    cherrypy.tree.mount(Root(), '/')
    cherrypy.tree.mount(Token(), '/ocm/token')
    cherrypy.tree.mount(Wayf(), '/wayf')
    # cherrypy.tree.mount(AcceptInvite(), '/accept-invite')
    cherrypy.tree.mount(
        AcceptInvite(),
        '/accept-invite',
        config={
            '/': {
                'tools.trailing_slash.on': False
            }
        })

    cherrypy.engine.start()
    cherrypy.engine.block()


if __name__ == '__main__':
    main()
